Bug 1283837 - [GSS] (6.1.z) SSH timeout value hard-coded for git server
[GSS] (6.1.z) SSH timeout value hard-coded for git server
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Configuration (Show other bugs)
Unspecified Unspecified
medium Severity unspecified
: CR1
: 6.1.5
Assigned To: Alexandre Porcelli
Tomas David
Depends On: 1278227 1295554
Blocks: 1281579 1281586
  Show dependency treegraph
Reported: 2015-11-19 23:27 EST by Abhijit humbe
Modified: 2016-02-09 15:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1278227
: 1285845 (view as bug list)
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Abhijit humbe 2015-11-19 23:27:27 EST
+++ This bug was initially created as a clone of Bug #1278227 +++

Description of problem:
We are receiving the following error when a user is attempting to authenticate to Git over SSH and the amount of time exceeds the timeout value.

User session has timed out idling after 10000 ms

Version-Release number of selected component (if applicable):
uberfire 0.5.3.Final

How reproducible:

Steps to Reproduce:

Actual results:
We cant change increase the SSH session timeout

Expected results:
We should be able to change the SSH session timeout value through options.

Additional info:
Timeout value is hard-coded in GitSSHService.java

--- Additional comment from JBoss Product and Program Management on 2015-11-04 20:20:09 EST ---

Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.
Comment 3 Tomas David 2015-12-16 04:17:35 EST
Verified on 6.1.5.CR1.

Note You need to log in before you can comment on or make changes to this bug.